JUCE

- Main Page
- Related Pages
- Topics
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Loading...
Searching...
No Matches
Public Types | Public Member Functions | Public Attributes | List of all members
AudioProcessorGraph::Node Class Reference
juce_audio_processors » processors

Represents one of the nodes, or processors, in an AudioProcessorGraph. More...

`#include <juce_AudioProcessorGraph.h>`

Inheritance diagram for AudioProcessorGraph::Node:

## Public Types
using | Ptr = ReferenceCountedObjectPtr<Node>
| A convenient typedef for referring to a pointer to a node object.

## Public Member Functions
AudioProcessor * | getProcessor () const noexcept
| The actual processor object that this node represents.
bool | isBypassed () const noexcept
| Returns if the node is bypassed or not.
void | setBypassed (bool shouldBeBypassed) noexcept
| Tell this node to bypass processing.
bool | userRequestedBypass () const
| Node (NodeID n, std::unique_ptr< AudioProcessor > p) noexcept
Public Member Functions inherited from ReferenceCountedObject
void | incReferenceCount () noexcept
| Increments the object's reference count.
void | decReferenceCount () noexcept
| Decreases the object's reference count.
bool | decReferenceCountWithoutDeleting () noexcept
| Decreases the object's reference count.
int | getReferenceCount () const noexcept
| Returns the object's current reference count.

## Public Attributes
const NodeID | nodeID
| The ID number assigned to this node.
NamedValueSet | properties
| A set of user-definable properties that are associated with this node.

## Additional Inherited Members
Protected Member Functions inherited from ReferenceCountedObject
| ReferenceCountedObject ()=default
| Creates the reference-counted object (with an initial ref count of zero).
| ReferenceCountedObject (const ReferenceCountedObject &) noexcept
| Copying from another object does not affect this one's reference-count.
| ReferenceCountedObject (ReferenceCountedObject &&) noexcept
| Copying from another object does not affect this one's reference-count.
ReferenceCountedObject & | operator= (const ReferenceCountedObject &) noexcept
| Copying from another object does not affect this one's reference-count.
ReferenceCountedObject & | operator= (ReferenceCountedObject &&) noexcept
| Copying from another object does not affect this one's reference-count.
virtual | ~ReferenceCountedObject ()
| Destructor.
void | resetReferenceCount () noexcept
| Resets the reference count to zero without deleting the object.

## Detailed Description

Represents one of the nodes, or processors, in an AudioProcessorGraph.

To create a node, call AudioProcessorGraph::addNode().

## Member Typedef Documentation

## ◆ Ptr

using AudioProcessorGraph::Node::Ptr = ReferenceCountedObjectPtr<Node>

A convenient typedef for referring to a pointer to a node object.

## Constructor & Destructor Documentation

## ◆ Node()

AudioProcessorGraph::Node::Node | ( | NodeID | n,
|  | std::unique_ptr< AudioProcessor > | p )
| noexcept

References jassert.

## Member Function Documentation

## ◆ getProcessor()

AudioProcessor * AudioProcessorGraph::Node::getProcessor | ( |  | ) | const
| noexcept

The actual processor object that this node represents.

## ◆ isBypassed()

bool AudioProcessorGraph::Node::isBypassed | ( |  | ) | const
| noexcept

Returns if the node is bypassed or not.

References approximatelyEqual().

## ◆ setBypassed()

void AudioProcessorGraph::Node::setBypassed | ( | bool | shouldBeBypassed | ) |
| noexcept

Tell this node to bypass processing.

## ◆ userRequestedBypass()

bool AudioProcessorGraph::Node::userRequestedBypass | ( |  | ) | const

## Member Data Documentation

## ◆ nodeID

const NodeID AudioProcessorGraph::Node::nodeID

The ID number assigned to this node.

This is assigned by the graph that owns it, and can't be changed.

## ◆ properties

NamedValueSet AudioProcessorGraph::Node::properties

A set of user-definable properties that are associated with this node.

This can be used to attach values to the node for whatever purpose seems useful. For example, you might store an x and y position if your application is displaying the nodes on-screen.

The documentation for this class was generated from the following file:

- juce_AudioProcessorGraph.h